List:Commits« Previous MessageNext Message »
From:tim Date:August 30 2006 6:04pm
Subject:bk commit into 4.1 tree (tsmith:1.2538)
View as plain text  
Below is the list of changes that have just been committed into a local
4.1 repository of tsmith. When tsmith does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html

ChangeSet@stripped, 2006-08-30 20:04:33+02:00, tsmith@stripped +1 -0
  Merge maint2.mysql.com:/data/localhome/tsmith/bk/bfx/40
  into  maint2.mysql.com:/data/localhome/tsmith/bk/bfx/41
  MERGE: 1.1346.874.2

  BUILD/SETUP.sh@stripped, 2006-08-30 20:04:32+02:00, tsmith@stripped +0 -0
    SCCS merged
    MERGE: 1.17.1.9

  BUILD/SETUP.sh@stripped, 2006-08-30 20:03:56+02:00, tsmith@stripped +0 -0
    Change mode to -rwxrwxr-x

# This is a BitKeeper patch.  What follows are the unified diffs for the
# set of deltas contained in the patch.  The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User:	tsmith
# Host:	maint2.mysql.com
# Root:	/data/localhome/tsmith/bk/bfx/41/RESYNC

--- 1.17.1.8/BUILD/SETUP.sh	2006-08-30 20:04:03 +02:00
+++ 1.38/BUILD/SETUP.sh	2006-08-30 20:04:03 +02:00
@@ -1,27 +1,36 @@
+#!/bin/sh
+
 if test ! -f sql/mysqld.cc
 then
   echo "You must run this script from the MySQL top-level directory"
   exit 1
 fi
 
-nonono=
+prefix_configs="--prefix=/usr/local/mysql"
+just_print=
 just_configure=
+full_debug=
 while test $# -gt 0
 do
   case "$1" in
+  --prefix=* ) prefix_configs="$1"; shift ;;
+  --with-debug=full ) full_debug="=full"; shift ;;
   -c | --just-configure ) just_configure=1; shift ;;
-  -n | --just-print | --print ) nonono=1; shift ;;
+  -n | --just-print | --print ) just_print=1; shift ;;
   -h | --help ) cat <<EOF; exit 0 ;;
 Usage: $0 [-h|-n] [configure-options]
   -h, --help              Show this help message.
   -n, --just-print        Don't actually run any commands; just print them.
   -c, --just-configure    Stop after running configure.
-
-Any other options will be passed directly to configure.
+  --with-debug=full       Build with full debug.
+  --prefix=path           Build with prefix 'path'.
 
 Note:  this script is intended for internal use by MySQL developers.
 EOF
-  * ) break ;;
+  * )
+    echo "Unknown option '$1'"
+    exit 1
+    break ;;
   esac
 done
 
@@ -39,8 +48,19 @@ global_warnings="-Wimplicit -Wreturn-typ
 c_warnings="$global_warnings -Wunused"
 cxx_warnings="$global_warnings -Woverloaded-virtual -Wsign-promo -Wreorder -Wctor-dtor-privacy -Wnon-virtual-dtor"
 
-alpha_cflags="-mcpu=ev6 -Wa,-mev6"	# Not used yet
-pentium_cflags="-mcpu=pentiumpro"
+base_max_configs="--with-innodb --with-berkeley-db --with-ndbcluster --with-archive-storage-engine --with-raid --with-openssl --with-raid --with-vio"
+max_leave_isam_configs="--with-innodb --with-berkeley-db --with-ndbcluster --with-archive-storage-engine --with-raid --with-openssl --with-raid --with-vio --with-embedded-server"
+max_no_es_configs="$max_leave_isam_configs --without-isam"
+max_configs="$max_no_es_configs --with-embedded-server"
+
+path=`dirname $0`
+. "$path/check-cpu"
+
+alpha_cflags="$check_cpu_cflags -Wa,-m$cpu_flag"
+amd64_cflags="$check_cpu_cflags -DBIG_TABLES"
+pentium_cflags="$check_cpu_cflags"
+pentium64_cflags="$check_cpu_cflags -m64"
+ppc_cflags="$check_cpu_cflags"
 sparc_cflags=""
 
 # be as fast as we can be without losing our ability to backtrace
@@ -48,12 +68,16 @@ fast_cflags="-O3 -fno-omit-frame-pointer
 # this is one is for someone who thinks 1% speedup is worth not being
 # able to backtrace
 reckless_cflags="-O3 -fomit-frame-pointer "
-debug_cflags="-DUNIV_MUST_NOT_INLINE -DEXTRA_DEBUG -DFORCE_INIT_OF_VARS -DSAFEMALLOC -DPEDANTIC_SAFEMALLOC -DSAFE_MUTEX -O1 -Wuninitialized"
+
+debug_cflags="-DUNIV_MUST_NOT_INLINE -DEXTRA_DEBUG -DFORCE_INIT_OF_VARS -DSAFEMALLOC -DPEDANTIC_SAFEMALLOC -DSAFE_MUTEX"
+debug_extra_cflags="-O1 -Wuninitialized"
 
 base_cxxflags="-felide-constructors -fno-exceptions -fno-rtti"
+amd64_cxxflags="-DBIG_TABLES"
 
-base_configs="--prefix=/usr/local/mysql --enable-assembler --with-extra-charsets=complex --enable-thread-safe-client"
+base_configs="$prefix_configs --enable-assembler --with-extra-charsets=complex --enable-thread-safe-client --with-readline"
 static_link="--with-mysqld-ldflags=-all-static --with-client-ldflags=-all-static"
+amd64_configs=""
 alpha_configs=""	# Not used yet
 pentium_configs=""
 sparc_configs=""
@@ -62,7 +86,11 @@ sparc_configs=""
 # and unset local_infile_configs
 local_infile_configs="--enable-local-infile"
 
-debug_configs="--with-debug"
+debug_configs="--with-debug$full_debug"
+if [ -z "$full_debug" ]
+then
+  debug_cflags="$debug_cflags $debug_extra_cflags"
+fi
 
 if gmake --version > /dev/null 2>&1
 then
Thread
bk commit into 4.1 tree (tsmith:1.2538)tim30 Aug